<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/tabs/perfil" >
        Regresar
      </ion-back-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-title size="large">Mis tarjetas</ion-title>
    </ion-toolbar>
  </ion-header>

  <ion-list *ngIf="tarjetas.length === 0">
    <ion-card style="height: auto;">
      <ion-card-header>
        <ion-card-title>
          <ion-label class="sub-title">
            No hay tarjetas registradas
          </ion-label>
        </ion-card-title>
        <ion-card-content>
          <ion-button style="position: inherit; right: 0; z-index:1; bottom: 3%; width: 100%; text-align: center;" color="primary" (click)="nuevaTarjeta()">
            Nueva tarjeta
          </ion-button>
        </ion-card-content>
      </ion-card-header>
    </ion-card>
  </ion-list>

  <ion-list *ngIf="tarjetas.length !== 0">
    <ion-card *ngFor="let tarjeta of tarjetas; index as i" (click)="changeIndex(i)">
      <ion-card-header>
        <ion-card-title style="display: flex; align-items: center; justify-content: space-between">
          <ion-icon size="large" name="card-outline" color="danger" style="background-color: var(--ion-color-light-tint); border-radius: 10px;" class="ion-padding">
          </ion-icon>
          <div style=" display: flex;
          flex-direction: column;
          flex-wrap: wrap;
          align-items: flex-start;">
            <ion-label class="ion-padding sub-title" style="padding-bottom: 0%;">
              {{tarjeta.nombreTitular}}
            </ion-label>
            <ion-label class="ion-padding sub-title" style="padding-top: 0%;">
              ···· ···· ···· {{tarjeta.terminacion}}
            </ion-label>
          </div>
          <ion-buttons>
            <ion-button (click)="editarTarjeta(tarjeta)">
              <ion-icon name="create-outline"></ion-icon>
            </ion-button>
            <ion-button (click)="eliminarTarjeta(tarjeta)">
              <ion-icon name="trash-outline"></ion-icon>
            </ion-button>
          </ion-buttons>
        </ion-card-title>
      </ion-card-header>
    </ion-card>
  </ion-list>

  <div style="position: absolute; right: 0; z-index:1; bottom: 3%;; width: 100%; text-align: center;">
    <ion-button (click)="nuevaTarjeta()">
      <ion-icon name="add-outline" slot="start"></ion-icon>
      Agregar tarjeta
    </ion-button>
  </div>

  <!-- <ion-header collapse="condense" style="padding-top:20px"> //no aplica de momento otros metodos de pago
    <ion-toolbar>
      <ion-title size="large">Otros metodos</ion-title>
    </ion-toolbar>
  </ion-header>
  <ion-list >
    <ion-card>
      <ion-card-content>
        <div style="display:flex; flex-direction:row; flex-wrap:nowrap; width:auto; align-items:center">
          <ion-checkbox style="width: -webkit-fill-available; height:-webkit-fill-available; padding:20px;" slot="start"></ion-checkbox>
          <ion-img src="../../../assets/img/logo-Paypal.png"></ion-img>
        </div>
      </ion-card-content>
    </ion-card>
  </ion-list> -->



</ion-content>

